## GflsAttributeKeys GflsAttributeKeys — A list of GFile attribute keys |

## Functions

GflsAttributeKeys * | gfls_attribute_keys_new ()
void | gfls_attribute_keys_add ()
gchar * | gfls_attribute_keys_to_string ()

## Types and Values

struct | GflsAttributeKeys

## Object Hierarchy

        GObject
        ╰── GflsAttributeKeys

## Includes

    #include <gfls/gfls.h>

## Description

GflsAttributeKeys is a small utility to build a list of GFile attribute keys. The result is a single string to pass as an argument to a function like `g_file_query_info()`.

It is useful for doing only a single query with a list of keys coming from different parts of the program. To take an example, Gfls might have its own list of keys to query, but it is desirable to ask the application for additional keys.

## Functions

### gfls_attribute_keys_new ()

    GflsAttributeKeys *
    gfls_attribute_keys_new (void);

#### Returns

a new GflsAttributeKeys object.

[transfer full]

Since: 0.2

### gfls_attribute_keys_add ()

    void
    gfls_attribute_keys_add (GflsAttributeKeys *keys,
                             const gchar *str);

Adds `str` to `keys` .

`str` has the same semantics as the corresponding parameter of `g_file_query_info()`.

#### Parameters

keys | a GflsAttributeKeys. |
str | the value to add. |

Since: 0.2

### gfls_attribute_keys_to_string ()

    gchar *
    gfls_attribute_keys_to_string (GflsAttributeKeys *keys);

#### Parameters

keys | a GflsAttributeKeys. |

#### Returns

the complete string to pass to `g_file_query_info()` (for example), or `NULL` if the list is empty.

[transfer full][nullable]

Since: 0.2

## Types and Values

### struct GflsAttributeKeys

    struct GflsAttributeKeys;